library verilog;
use verilog.vl_types.all;
entity YUV2RGB_conv is
    port(
        p_reset         : in     vl_logic;
        m_clock         : in     vl_logic;
        Yin             : in     vl_logic_vector(7 downto 0);
        Uin             : in     vl_logic_vector(7 downto 0);
        Vin             : in     vl_logic_vector(7 downto 0);
        Rout            : out    vl_logic_vector(7 downto 0);
        Gout            : out    vl_logic_vector(7 downto 0);
        Bout            : out    vl_logic_vector(7 downto 0);
        VSYNCin         : in     vl_logic;
        HSYNCin         : in     vl_logic;
        VSYNCout        : out    vl_logic;
        HSYNCout        : out    vl_logic;
        ConvStart       : in     vl_logic;
        ConvFinish      : out    vl_logic
    );
end YUV2RGB_conv;
