/*
 Produced by NSL Core(version=20110725), IP ARCH, Inc. Thu Apr 11 09:32:29 2013
 Licensed to :LIMITED EVALUATION USER:
*/
/*
 EVALUATION COPY!   DO NOT USE ANY PART OF THIS FILE FOR COMMERCIAL PRODUCTS. 
*/

module RGB2YUV_Ymac ( p_reset , m_clock , Rin , Gin , Bin , COEF_Ain , COEF_Bin , COEF_Cin , COEF_Din , YUVout );
  input p_reset, m_clock;
  wire p_reset, m_clock;
  input [7:0] Rin;
  wire [7:0] Rin;
  input [7:0] Gin;
  wire [7:0] Gin;
  input [7:0] Bin;
  wire [7:0] Bin;
  input [15:0] COEF_Ain;
  wire [15:0] COEF_Ain;
  input [15:0] COEF_Bin;
  wire [15:0] COEF_Bin;
  input [15:0] COEF_Cin;
  wire [15:0] COEF_Cin;
  input [15:0] COEF_Din;
  wire [15:0] COEF_Din;
  output [7:0] YUVout;
  wire [7:0] YUVout;
  reg [23:0] nodeA;
  reg [23:0] nodeB;
  reg [23:0] nodeC;
  reg [15:0] nodeD;
  reg [23:0] nodeE;
  reg [23:0] nodeF;
  wire [7:0] nodeRESULT;
  wire _net_0;
  wire _net_1;
  wire _net_2;
  wire _net_3;
  wire _net_4;
  wire _net_5;
  wire _net_6;

   assign  nodeRESULT = ((_net_6)?nodeF[19:12]:8'b0)|
    ((_net_5)?8'b11111111:8'b0)|
    ((_net_2)?8'b00000000:8'b0);
   assign  _net_0 = nodeE[11];
   assign  _net_1 = ~_net_0;
   assign  _net_2 = (nodeF[21])==(1'b1);
   assign  _net_3 = (nodeF[20])==(1'b1);
   assign  _net_4 = ~_net_2;
   assign  _net_5 = (~_net_2)&_net_3;
   assign  _net_6 = (~_net_2)&(~_net_3);
   assign  YUVout = nodeRESULT;
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     nodeA <= 24'b000000000000000000000000;
else   nodeA <= (Rin)*(COEF_Ain);
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     nodeB <= 24'b000000000000000000000000;
else   nodeB <= (Gin)*(COEF_Bin);
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     nodeC <= 24'b000000000000000000000000;
else   nodeC <= (Bin)*(COEF_Cin);
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     nodeD <= 16'b0000000000000000;
else   nodeD <= COEF_Din;
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     nodeE <= 24'b000000000000000000000000;
else   nodeE <= (((nodeA)+(nodeB))+(nodeC))+({4'b0000,nodeD,4'b0000});
end
always @(posedge m_clock or posedge p_reset)
  begin
if (p_reset)
     nodeF <= 24'b000000000000000000000000;
else if ((_net_1)|(_net_0)) 
      nodeF <= ((_net_1) ?nodeE[23:0]:24'b0)|
    ((_net_0) ?(nodeE[23:0])+(24'b000000000001000000000000):24'b0);

end
endmodule
/*
 Produced by NSL Core(version=20110725), IP ARCH, Inc. Thu Apr 11 09:32:29 2013
 Licensed to :LIMITED EVALUATION USER:
*/
