/*
	Parameter file for Multiply, Accumulate and Satulation check for RGB2YUV 1element.

	File		: RGB2YUV_Umac.nsh

	Designer	: Masami IKURA [ MASATIKU ]
	Organize	: KURUSUGAWA Electronics Industry Inc,.
	Revision	: Rev0.1
	Syntax		: NSL language set
	Resume		: 110517 first design.
*/

#define		value_of_overflow	8'hFF ;
#define		value_of_underflow	8'h00 ;

declare RGB2YUV_Umac {
	input	Rin[8] ;
	input	Gin[8] ;
	input	Bin[8] ;

	input	COEF_Ain[16] ;
	input	COEF_Bin[16] ;
	input	COEF_Cin[16] ;
	
	input	COEF_Din[16] ;

	output	YUVout[8] ;
}

